## totalopenstation 0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/TotalOpenStation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/TotalOpenStation.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== docs/requirements.txt ===
.. _requirements:

==============
 Requirements
==============

TotalOpenStation is written using the Python_ language. Thus you'll need to
have a working installation of the current version of a Python of your choice.

Across these pages we will refer to the standard Python_ distribution.

.. _Python: http://www.python.org/

Obviously, we're not going to reinvent the wheel, so we have chosen to use
some Python libraries for some specific tasks:

* the pySerial_ library
* the Python Tkinter_ GUI library, which comes with the standard
  Python setup

.. _pySerial: http://pyserial.sourceforge.net/
.. _Tkinter: http://wiki.python.org/moin/TkInter

pySerial is needed for downloading data from the serial port (even
through a :term:`serial-USB adapter`).

Tkinter is at the moment responsible of the Graphical User
Interface. This might change in future releases of Total Open
Station.

Getting Python
==============

If you're on GNU/Linux or a recent Mac OSX, Python should be already
installed on your system, so you just need to get the mentioned
libraries.

On Windows, you can get an installer from the main Python website, in
the download_ section.

.. _download: http://www.python.org/download/

Getting libraries
=================

Generally speaking, refer to the `pySerial website`_.

.. _`pySerial website`: http://pyserial.sourceforge.net/pyserial.html#installation

GNU/Linux
---------

Use your package manager (``apt-get``, ``yum``) and look
for a package named ``python-serial`` or ``pyserial`` and install
it. To test whether the installation went fine, open a terminal, start
the python interpreter with ``python`` and at the prompt type ``import
serial`` then return. It should say nothing, like this:

>>> import serial

If it complains, something went wrong::

    >>> import serial
    Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
    ImportError: No module named serial

and you need to check with your distribution package manager and bug
reporting system.

Mac OSX
-------

The simplest way is probably to install setuptools and use::

    easy_install -U pyserial

Microsoft Windows
-----------------

The pySerial website has executable installers for various versions of
this operating system. As pySerial's documentation says, you will need
also the pywin32_ library by Mark Hammond.

.. _pywin32: http://pypi.python.org/pypi/pywin32

=== debian/changelog ===
totalopenstation (0.3-3) unstable; urgency=low

  * debian/control: python-tk added to package Depends (Closes: #711749)
  * debian/watch: working source path and opts added.
    Thanks to Bart Martens (bartm) for the hint.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 10 Jun 2013 10:37:54 +0200

totalopenstation (0.3-2) unstable; urgency=low

  * Upload to unstable
  * debian/watch: uscan path fixed

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 17 May 2013 11:10:05 +0200

totalopenstation (0.3-1) experimental; urgency=low

  * Initial release (Closes: #682084)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 07 Mar 2013 10:08:13 +0100

=== debian/control ===
Source: totalopenstation
Section: utils
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv.debian@gmail.com>
Build-Depends:
 debhelper (>= 9),
 python,
 python-setuptools,
 python-tk
Standards-Version: 3.9.4
Homepage: http://tops.iosa.it/
Vcs-Git: git://anonscm.debian.org/pkg-grass/totalopenstation.git
Vcs-Browser: http://anonscm.debian.org/?p=pkg-grass/totalopenstation.git

Package: totalopenstation
Architecture: all
Depends:
 python-tk,
 ${misc:Depends},
 ${python:Depends}
Description: download and process data from total station devices
 Total Open Station (TOPS for friends) is a free software program
 for downloading and processing data from total station devices.
 .
 This is a task which is usually done by proprietary, dedicated and
 Windows™-only software, but TOPS is different by nature, because:
 .
  - it is free software released under the GNU GPLv3 license;
  - it works on any operating system, including mobile platforms like OpenMoko;
  - it is designed to support as many devices and formats as possible,
    all within the same program, opposed to having one program per device.
 .
 Every model has its own quirks, but TOPS uses a modular structure and keeps
 the downloading of data logically separated from its processing, thus enabling
 exporting data to a variety of output formats, even at a later moment.
 Archiving of raw data is made easy by using plain text files.

=== debian/watch ===
version=3
opts=uversionmangle=s/^((?:\d+\.)*\d+)(pre-[0-9a-f]+(?:-dev)?$)/$1~$2/ \
https://pypi.python.org/packages/source/t/totalopenstation/ \
(?:.*/|.*=|)totalopenstation[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## totalopenstation 0.3.1

=== debian/changelog ===
totalopenstation (0.3.1-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update watch file, changes:
    - Use pypi.debian.net instead of broken pypi.python.org
    - Add common debian version mangling
    - Update upstream version mangling to support more pre and dev variants.
    (closes: #784076)

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
  * debian/totalopenstation.doc-base: txt -> rst format
  * debian/control: dh-python b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 04 May 2015 09:57:44 +0200

totalopenstation (0.3-4) unstable; urgency=medium

  * debian/: manual pages added (Closes: #755381)
  * debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)
  * debian/control: Uploader e-mail address updated

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 31 Jul 2014 10:21:21 +0200

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

INSTDIR=debian/tmp

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTDIR)

override_dh_auto_clean:

## totalopenstation 0.3.2

=== debian/changelog ===
totalopenstation (0.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 05 Aug 2015 14:35:56 +0200

## totalopenstation 0.3.3

=== debian/changelog ===
totalopenstation (0.3.3-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.0, changes: priority.

  [ Matteo F. Vescovi ]
  * debian/: dh bump 9 -> 10
  * debian/control: S-V bump 4.1.0 -> 4.1.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 30 Sep 2017 10:26:17 +0200

totalopenstation (0.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Oct 2015 16:20:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: totalopenstation
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv.debian@gmail.com>
+Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
+ dh-python,
  python,
  python-setuptools,
  python-tk
-Standards-Version: 3.9.4
+Standards-Version: 4.1.1
 Homepage: http://tops.iosa.it/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/totalopenstation.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-grass/totalopenstation.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/totalopenstation.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/totalopenstation.git
 
 Package: totalopenstation
 Architecture: all

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/^((?:\d+\.)*\d+)((?:pre|dev)-?[0-9a-f]*(?:-dev)?$)/$1~$2/ \
http://pypi.debian.net/totalopenstation/totalopenstation-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## totalopenstation 0.5.0

=== debian/changelog ===
totalopenstation (0.5.0-1) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release (Closes: #938680)
    - debian/: Python bump 2 -> 3
  * debian/: debhelper bump 11 -> 12
  * debian/control:
    - RRR set
    - missing build-deps added
  * debian/watch: http:// -> https:// for pypi URI
  * debian/totalopenstation.docs: update README file extension
  * debian/rules: fix tests failure

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.1, no changes.
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 01 Dec 2019 22:55:13 +0100

totalopenstation (0.3.3-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.3, no changes.

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 4.1.3 -> 4.1.4 (no changes needed)
  * debian/: debhelper bump 10 -> 11

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 10 Apr 2018 23:24:28 +0200

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/^((?:\d+\.)*\d+)((?:pre|dev)-?[0-9a-f]*(?:-dev)?$)/$1~$2/ \
https://pypi.debian.net/totalopenstation/totalopenstation-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## totalopenstation 0.5.1

=== debian/changelog ===
totalopenstation (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 21 Jan 2020 23:09:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,26 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
- python,
- python-setuptools,
- python-tk
-Standards-Version: 4.1.1
+ python3,
+ python3-pygeoif,
+ python3-pytest,
+ python3-serial,
+ python3-setuptools,
+ python3-tk
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: http://tops.iosa.it/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/totalopenstation.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/totalopenstation.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/totalopenstation.git
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/totalopenstation
 
 Package: totalopenstation
 Architecture: all
 Depends:
- python-tk,
+ python3-tk,
  ${misc:Depends},
- ${python:Depends}
+ ${python3:Depends}
 Description: download and process data from total station devices
  Total Open Station (TOPS for friends) is a free software program
  for downloading and processing data from total station devices.

## totalopenstation 0.5.2

=== debian/changelog ===
totalopenstation (0.5.2-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.2, no changes.
  * Remove generated files in clean target.
    (closes: #1047339)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Aug 2023 23:44:01 +0200

totalopenstation (0.5.2-3) unstable; urgency=medium

  * Revert "debian/control: b-dep python3 -> python3:any"

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 12 Oct 2021 23:53:56 +0200

totalopenstation (0.5.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Matteo F. Vescovi ]
  * debian/control:
    - http:// -> https:// for Homepage field
    - b-dep python3 -> python3:any

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 12 Oct 2021 22:04:02 +0200

totalopenstation (0.5.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.
  * Bump watch file version to 4.

  [ Matteo F. Vescovi ]
  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 09 Dec 2020 16:25:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3,
  python3-pygeoif,
@@ -13,8 +13,8 @@
  python3-setuptools,
  python3-tk
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
-Homepage: http://tops.iosa.it/
+Standards-Version: 4.6.2
+Homepage: https://tops.iosa.it/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/totalopenstation.git
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/totalopenstation

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS
export PYBUILD_BEFORE_TEST=cp -r {dir}/sample_data {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/sample_data

INSTDIR=debian/tmp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTDIR)

override_dh_auto_clean:

## totalopenstation 0.5.3

=== docs/Makefile ===
--- 
+++ 
@@ -71,6 +71,11 @@
 	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
 	      "run these through (pdf)latex."
 
+man:
+	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) _build/man
+	@echo
+	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
+
 changes:
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
 	@echo

=== docs/requirements.txt ===
Sphinx==8.1.3
pygeoif==0.7
pytest==6.2.5
pyserial==3.5

=== debian/changelog ===
totalopenstation (0.5.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * New repacked upstream release.
  * Add upstream metadata.
  * Update watch file to use GitHub tags instead of PyPI.
  * Don't override dh_auto_clean.
  * Update lintian overrides.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Copy test files for autopkgtest.
  * Restucture control file with cme.
  * Switch to dh-sequence-*.
  * Bump Standards-Version to 4.7.2, no changes.

  [ Matteo F. Vescovi ]
  * New upstream version 0.5.3 (Closes: #1069074)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 25 Mar 2025 20:32:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: totalopenstation
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Section: utils
 Priority: optional
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- dh-python,
- python3,
- python3-pygeoif,
- python3-pytest,
- python3-serial,
- python3-setuptools,
- python3-tk
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               dh-sequence-python3,
+               python3,
+               python3-pygeoif,
+               python3-pytest,
+               python3-serial,
+               python3-setuptools,
+               python3-tk
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/totalopenstation
+Vcs-Git: https://salsa.debian.org/debian-gis-team/totalopenstation.git
+Homepage: https://tops.iosa.it/
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Homepage: https://tops.iosa.it/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/totalopenstation.git
-Vcs-Browser: https://salsa.debian.org/debian-gis-team/totalopenstation
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: totalopenstation
 Architecture: all
-Depends:
- python3-tk,
- ${misc:Depends},
- ${python3:Depends}
+Depends: python3-tk,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: download and process data from total station devices
  Total Open Station (TOPS for friends) is a free software program
  for downloading and processing data from total station devices.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

export PYBUILD_BEFORE_TEST=cp -r {dir}/sample_data {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/sample_data
ifeq ($(PYBUILD_AUTOPKGTEST),1)
export PYBUILD_TEST_ARGS=-vv --pyargs totalopenstation
endif

INSTDIR=debian/tmp

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTDIR)

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|totalopenstation)[\-\_]?(\d[\d\-\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/totalopenstation-$1.$2/ \
https://github.com/totalopenstation/totalopenstation/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|totalopenstation)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## totalopenstation 0.7.3

=== docs/requirements.txt ===
Sphinx==8.1.3

=== debian/changelog ===
totalopenstation (0.7.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Make pytest output verbose.
  * Update copyright file.
  * Annotate build dependencies with nocheck.
  * Add pybuild-plugin-pyproject to build dependencies.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Matteo F. Vescovi ]
  * New upstream release (Closes: #1124520)
  * debian/control: move away from Debian GIS Team
  * debian/totalopenstation.install: paths fixed

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 02 Feb 2026 21:10:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: totalopenstation
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv@debian.org>
+Maintainer: Matteo F. Vescovi <mfv@debian.org>
 Section: utils
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3,
                python3-pygeoif,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-serial,
                python3-setuptools,
                python3-tk
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/debian-gis-team/totalopenstation
-Vcs-Git: https://salsa.debian.org/debian-gis-team/totalopenstation.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/totalopenstation
+Vcs-Git: https://salsa.debian.org/debian/totalopenstation.git
 Homepage: https://tops.iosa.it/
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: totalopenstation

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,9 @@
 export PYBUILD_BEFORE_TEST=cp -r {dir}/sample_data {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/sample_data
 ifeq ($(PYBUILD_AUTOPKGTEST),1)
-export PYBUILD_TEST_ARGS=-vv --pyargs totalopenstation
+export PYBUILD_TEST_ARGS=-v --pyargs totalopenstation
+else
+export PYBUILD_TEST_ARGS=-v $(CURDIR)/totalopenstation/tests
 endif
 
 INSTDIR=debian/tmp
